Package ru.bitel.bgbilling.plugins.shop.common.bean

# Class WarehouseOperationEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.plugins.shop.common.bean.WarehouseOperationEntry

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class WarehouseOperationEntry extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WarehouseOperationEntry()`
  `WarehouseOperationEntry(WarehouseOperationType operationType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WarehouseOperationType`
  `getOperationType()`
  `int`
  `getStockItemId()`
  `String`
  `getStockItemTypeTitle()`
  `Date`
  `getTime()`
  `int`
  `getUserId()`
  `int`
  `getWarehouseFromId()`
  `int`
  `getWarehouseToId()`
  `WarehouseOperationEntry`
  `setContractId(int contractId)`
  `WarehouseOperationEntry`
  `setId(int id)`
  Устанавливает id объекта
  `WarehouseOperationEntry`
  `setOperationType(WarehouseOperationType operationType)`
  `WarehouseOperationEntry`
  `setStockItemId(int stockItemId)`
  `WarehouseOperationEntry`
  `setStockItemTypeTitle(String stockItemTypeTitle)`
  `WarehouseOperationEntry`
  `setTime(Date time)`
  `WarehouseOperationEntry`
  `setUserId(int userId)`
  `WarehouseOperationEntry`
  `setWarehouseFromId(int warehouseFromId)`
  `WarehouseOperationEntry`
  `setWarehouseToId(int warehouseToId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WarehouseOperationEntry

    public WarehouseOperationEntry()

  - ### WarehouseOperationEntry

    public WarehouseOperationEntry(WarehouseOperationType operationType)

- ## Method Details

  - ### getOperationType

    public WarehouseOperationType getOperationType()

  - ### getStockItemId

    public int getStockItemId()

  - ### getStockItemTypeTitle

    public String getStockItemTypeTitle()

  - ### getTime

    public Date getTime()

  - ### getUserId

    public int getUserId()

  - ### getWarehouseFromId

    public int getWarehouseFromId()

  - ### getWarehouseToId

    public int getWarehouseToId()

  - ### setContractId

    public WarehouseOperationEntry setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setOperationType

    public WarehouseOperationEntry setOperationType(WarehouseOperationType operationType)

  - ### setStockItemId

    public WarehouseOperationEntry setStockItemId(int stockItemId)

  - ### setStockItemTypeTitle

    public WarehouseOperationEntry setStockItemTypeTitle(String stockItemTypeTitle)

  - ### setTime

    public WarehouseOperationEntry setTime(Date time)

  - ### setUserId

    public WarehouseOperationEntry setUserId(int userId)

  - ### setWarehouseFromId

    public WarehouseOperationEntry setWarehouseFromId(int warehouseFromId)

  - ### setWarehouseToId

    public WarehouseOperationEntry setWarehouseToId(int warehouseToId)

  - ### setId

    public WarehouseOperationEntry setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`